Bug 1177601 - [FEAT[ Implement proactive self-heal daemon feature for disperse subvolumes
Summary: [FEAT[ Implement proactive self-heal daemon feature for disperse subvolumes
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: disperse
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pranith Kumar K
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-29 10:40 UTC by Pranith Kumar K
Modified: 2015-05-14 17:45 UTC (History)
4 users (show)

Fixed In Version: glusterfs-3.7.0
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-14 17:28:47 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Pranith Kumar K 2014-12-29 10:40:21 UTC
Description of problem:
Implement proactive self-heal daemon feature for disperse subvolumes. Make uniform CLI for disperse and replicate volumes. Sequence of steps to perform to heal the volume in all cases should be as equal as possible.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Anand Avati 2014-12-29 10:52:18 UTC
REVIEW: http://review.gluster.org/9358 (mgmt/glusterd: Add disperse volumes to self-heal-daemon) posted (#1) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 2 Anand Avati 2015-01-02 11:30:28 UTC
REVIEW: http://review.gluster.org/9358 (mgmt/glusterd: Implement Volume heal enable/disable) posted (#2) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 3 Anand Avati 2015-01-05 07:24:55 UTC
REVIEW: http://review.gluster.org/9358 (mgmt/glusterd: Implement Volume heal enable/disable) posted (#3) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 4 Anand Avati 2015-01-06 05:43:27 UTC
REVIEW: http://review.gluster.org/9358 (mgmt/glusterd: Implement Volume heal enable/disable) posted (#4) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 5 Anand Avati 2015-01-06 05:43:30 UTC
REVIEW: http://review.gluster.org/9388 (cli: Add print-defaultworkdir option) posted (#1) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 6 Anand Avati 2015-01-07 09:09:13 UTC
REVIEW: http://review.gluster.org/9358 (mgmt/glusterd: Implement Volume heal enable/disable) posted (#5) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 7 Anand Avati 2015-01-13 08:49:21 UTC
REVIEW: http://review.gluster.org/9358 (mgmt/glusterd: Implement Volume heal enable/disable) posted (#6) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 8 Anand Avati 2015-01-16 07:31:54 UTC
REVIEW: http://review.gluster.org/9358 (mgmt/glusterd: Implement Volume heal enable/disable) posted (#7) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 9 Anand Avati 2015-01-19 10:05:07 UTC
REVIEW: http://review.gluster.org/9358 (mgmt/glusterd: Implement Volume heal enable/disable) posted (#8) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 10 Anand Avati 2015-01-19 14:26:47 UTC
REVIEW: http://review.gluster.org/9358 (mgmt/glusterd: Implement Volume heal enable/disable) posted (#9) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 11 Anand Avati 2015-01-19 14:41:29 UTC
REVIEW: http://review.gluster.org/9358 (mgmt/glusterd: Implement Volume heal enable/disable) posted (#10) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 12 Anand Avati 2015-01-20 06:09:55 UTC
REVIEW: http://review.gluster.org/9358 (mgmt/glusterd: Implement Volume heal enable/disable) posted (#11) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 13 Anand Avati 2015-01-20 10:24:31 UTC
COMMIT: http://review.gluster.org/9358 committed in master by Krishnan Parthasarathi (kparthas@redhat.com) 
------
commit 7510d8edf4e7bea50e0c1f041202f063a5d138af
Author: Pranith Kumar K <pkarampu@redhat.com>
Date:   Mon Dec 29 15:32:28 2014 +0530

    mgmt/glusterd: Implement Volume heal enable/disable
    
    For volumes with replicate, disperse xlators, self-heal daemon should do
    healing. This patch provides enable/disable functionality for the xlators to be
    part of self-heal-daemon. Replicate already had this functionality with
    'gluster volume set cluster.self-heal-daemon on/off'. But this patch makes it
    uniform for both types of volumes. Internally it still does 'volume set' based
    on the volume type.
    
    Change-Id: Ie0f3799b74c2afef9ac658ef3d50dce3e8072b29
    BUG: 1177601
    Signed-off-by: Pranith Kumar K <pkarampu@redhat.com>
    Reviewed-on: http://review.gluster.org/9358
    Reviewed-by: Krishnan Parthasarathi <kparthas@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Xavier Hernandez <xhernandez@datalab.es>
    Tested-by: Krishnan Parthasarathi <kparthas@redhat.com>

Comment 14 Anand Avati 2015-01-25 04:01:02 UTC
REVIEW: http://review.gluster.org/9485 (syncop: Provide syncop_ftw and syncop_dir_scan utils) posted (#1) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 15 Anand Avati 2015-01-25 06:49:17 UTC
REVIEW: http://review.gluster.org/9485 (syncop: Provide syncop_ftw and syncop_dir_scan utils) posted (#2) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 16 Anand Avati 2015-01-27 01:41:05 UTC
REVIEW: http://review.gluster.org/9485 (syncop: Provide syncop_ftw and syncop_dir_scan utils) posted (#3) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 17 Anand Avati 2015-02-02 10:28:34 UTC
REVIEW: http://review.gluster.org/9485 (syncop: Provide syncop_ftw and syncop_dir_scan utils) posted (#4) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 18 Anand Avati 2015-02-02 17:12:27 UTC
REVIEW: http://review.gluster.org/9485 (syncop: Provide syncop_ftw and syncop_dir_scan utils) posted (#5) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 19 Anand Avati 2015-02-05 09:31:21 UTC
REVIEW: http://review.gluster.org/9485 (syncop: Provide syncop_ftw and syncop_dir_scan utils) posted (#6) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 20 Anand Avati 2015-02-05 16:33:16 UTC
REVIEW: http://review.gluster.org/9485 (syncop: Provide syncop_ftw and syncop_dir_scan utils) posted (#7) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 21 Anand Avati 2015-02-05 16:33:19 UTC
REVIEW: http://review.gluster.org/9598 (cluster/afr: Re-introduce heal-timeout option) posted (#1) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 22 Anand Avati 2015-02-06 22:04:36 UTC
COMMIT: http://review.gluster.org/9485 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 2efb36047aa11838b2cde93a3e95741e7ba40bae
Author: Pranith Kumar K <pkarampu@redhat.com>
Date:   Thu Feb 5 21:23:37 2015 +0530

    syncop: Provide syncop_ftw and syncop_dir_scan utils
    
    ftw provides file tree walk.
    dir_scan does just a readdir not readdirp.
    
    Also changed Afr's self-heal-daemon's crawling functions to use this.
    These utils will be used by ec in future to do proactive/full healing.
    
    Change-Id: I05715ddb789592c1b79a71e98f1e8cc29aac5c26
    BUG: 1177601
    Signed-off-by: Pranith Kumar K <pkarampu@redhat.com>
    Reviewed-on: http://review.gluster.org/9485
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Ravishankar N <ravishankar@redhat.com>
    Reviewed-by: Krutika Dhananjay <kdhananj@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

Comment 23 Anand Avati 2015-02-06 22:05:49 UTC
COMMIT: http://review.gluster.org/9598 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 5e25569ed0717aa8636ad708430a823d39f9aa60
Author: Pranith Kumar K <pkarampu@redhat.com>
Date:   Thu Feb 5 21:26:04 2015 +0530

    cluster/afr: Re-introduce heal-timeout option
    
    Change-Id: I87484c810006a92ed7489284b6d74e9b0aecae80
    BUG: 1177601
    Signed-off-by: Pranith Kumar K <pkarampu@redhat.com>
    Reviewed-on: http://review.gluster.org/9598
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Ravishankar N <ravishankar@redhat.com>
    Reviewed-by: Krutika Dhananjay <kdhananj@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

Comment 24 Anand Avati 2015-02-09 14:02:55 UTC
REVIEW: http://review.gluster.org/9616 (cli: Provide CLI to create disperse volume with data, redundancy counts) posted (#1) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 25 Anand Avati 2015-02-20 00:46:21 UTC
REVIEW: http://review.gluster.org/9717 (cluster/ec: Allow heal on name less loc) posted (#1) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 26 Anand Avati 2015-02-20 01:46:30 UTC
REVIEW: http://review.gluster.org/9718 (cluster/ec: Implement 'gluster volume heal <volname> full') posted (#1) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 27 Anand Avati 2015-02-20 05:44:11 UTC
REVIEW: http://review.gluster.org/9718 (cluster/ec: Implement 'gluster volume heal <volname> full') posted (#2) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 28 Anand Avati 2015-02-21 01:21:32 UTC
REVIEW: http://review.gluster.org/9602 (features/index: Add option to track specific xattrs for xattrop64) posted (#2) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 29 Anand Avati 2015-02-23 05:46:23 UTC
REVIEW: http://review.gluster.org/9602 (features/index: Add option to track specific xattrs for xattrop64) posted (#3) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 30 Anand Avati 2015-02-23 07:00:42 UTC
REVIEW: http://review.gluster.org/9616 (cli: Provide CLI to create disperse volume with data, redundancy counts) posted (#2) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 31 Anand Avati 2015-02-23 12:34:28 UTC
COMMIT: http://review.gluster.org/9616 committed in master by Krishnan Parthasarathi (kparthas@redhat.com) 
------
commit a671b9a575b89c263af161293e78e49484859ec7
Author: Pranith Kumar K <pkarampu@redhat.com>
Date:   Mon Feb 9 14:20:28 2015 +0530

    cli: Provide CLI to create disperse volume with data, redundancy counts
    
    Change-Id: Iba44be565c895e26b19b5ff85a886873f6b53e5c
    BUG: 1177601
    Signed-off-by: Pranith Kumar K <pkarampu@redhat.com>
    Reviewed-on: http://review.gluster.org/9616
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Krishnan Parthasarathi <kparthas@redhat.com>
    Tested-by: Krishnan Parthasarathi <kparthas@redhat.com>

Comment 32 Anand Avati 2015-02-24 03:00:12 UTC
REVIEW: http://review.gluster.org/9602 (features/index: Add option to track specific xattrs for xattrop64) posted (#4) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 33 Anand Avati 2015-02-24 09:43:56 UTC
REVIEW: http://review.gluster.org/9602 (features/index: Add option to track specific xattrs for xattrop64) posted (#5) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 34 Anand Avati 2015-02-25 05:57:57 UTC
COMMIT: http://review.gluster.org/9602 committed in master by Pranith Kumar Karampuri (pkarampu@redhat.com) 
------
commit 5d59402af8397da1a8eb5f822e1e650ce3285833
Author: Pranith Kumar K <pkarampu@redhat.com>
Date:   Fri Feb 6 17:06:28 2015 +0530

    features/index: Add option to track specific xattrs for xattrop64
    
    This enables trusted.ec.dirty to be tracked in index
    
    Change-Id: Ief1619110859f6f9ccee3da229f0688b73e2124b
    BUG: 1177601
    Signed-off-by: Pranith Kumar K <pkarampu@redhat.com>
    Reviewed-on: http://review.gluster.org/9602
    Reviewed-by: Krutika Dhananjay <kdhananj@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>

Comment 35 Anand Avati 2015-02-25 07:03:42 UTC
REVIEW: http://review.gluster.org/9740 (libglusterfs: Moved common functions as utils in syncop/common-utils) posted (#1) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 36 Anand Avati 2015-02-25 08:33:00 UTC
REVIEW: http://review.gluster.org/9740 (libglusterfs: Moved common functions as utils in syncop/common-utils) posted (#2) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 37 Anand Avati 2015-02-25 10:31:39 UTC
REVIEW: http://review.gluster.org/9740 (libglusterfs: Moved common functions as utils in syncop/common-utils) posted (#3) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 38 Anand Avati 2015-02-25 10:34:28 UTC
REVIEW: http://review.gluster.org/9740 (libglusterfs: Moved common functions as utils in syncop/common-utils) posted (#4) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 39 Anand Avati 2015-02-26 06:39:39 UTC
REVIEW: http://review.gluster.org/9740 (libglusterfs: Moved common functions as utils in syncop/common-utils) posted (#5) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 40 Anand Avati 2015-02-26 06:53:36 UTC
REVIEW: http://review.gluster.org/9740 (libglusterfs: Moved common functions as utils in syncop/common-utils) posted (#6) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 41 Anand Avati 2015-02-26 10:40:27 UTC
REVIEW: http://review.gluster.org/9740 (libglusterfs: Moved common functions as utils in syncop/common-utils) posted (#7) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 42 Anand Avati 2015-02-26 11:35:29 UTC
REVIEW: http://review.gluster.org/9717 (cluster/ec: Allow heal on name less loc) posted (#2) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 43 Anand Avati 2015-02-27 09:28:39 UTC
COMMIT: http://review.gluster.org/9740 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit d5624b2d4baf509ad8d6037a0d9cabf9cd5ab1c5
Author: Pranith Kumar K <pkarampu@redhat.com>
Date:   Wed Feb 25 11:37:57 2015 +0530

    libglusterfs: Moved common functions as utils in syncop/common-utils
    
    These will be used by both afr and ec. Moved syncop_dirfd, syncop_ftw,
    syncop_dir_scan functions also into syncop-utils.c
    
    Change-Id: I467253c74a346e1e292d36a8c1a035775c3aa670
    BUG: 1177601
    Signed-off-by: Pranith Kumar K <pkarampu@redhat.com>
    Reviewed-on: http://review.gluster.org/9740
    Reviewed-by: Krutika Dhananjay <kdhananj@redhat.com>
    Reviewed-by: Anuradha Talur <atalur@redhat.com>
    Reviewed-by: Ravishankar N <ravishankar@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

Comment 44 Anand Avati 2015-03-02 04:52:42 UTC
REVIEW: http://review.gluster.org/9717 (cluster/ec: Allow heal on name less loc) posted (#3) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 45 Anand Avati 2015-03-02 14:59:35 UTC
REVIEW: http://review.gluster.org/9717 (cluster/ec: Allow heal on name less loc) posted (#4) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 46 Anand Avati 2015-03-03 03:26:04 UTC
REVIEW: http://review.gluster.org/9787 (cluster/ec: Add self-heal-daemon command handlers) posted (#1) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 47 Anand Avati 2015-03-03 06:38:56 UTC
REVIEW: http://review.gluster.org/9787 (cluster/ec: Add self-heal-daemon command handlers) posted (#2) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 48 Anand Avati 2015-03-03 07:16:07 UTC
REVIEW: http://review.gluster.org/9787 (cluster/ec: Add self-heal-daemon command handlers) posted (#3) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 49 Anand Avati 2015-03-03 08:21:49 UTC
REVIEW: http://review.gluster.org/9787 (cluster/ec: Add self-heal-daemon command handlers) posted (#4) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 50 Anand Avati 2015-03-03 13:24:20 UTC
REVIEW: http://review.gluster.org/9787 (cluster/ec: Add self-heal-daemon command handlers) posted (#5) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 51 Anand Avati 2015-03-03 13:24:23 UTC
REVIEW: http://review.gluster.org/9793 (mgmt/glusterd: Changes required for disperse volume heal commands) posted (#1) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 52 Anand Avati 2015-03-05 01:02:03 UTC
REVIEW: http://review.gluster.org/9717 (cluster/ec: Allow heal on name less loc) posted (#5) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 53 Anand Avati 2015-03-05 14:52:42 UTC
REVIEW: http://review.gluster.org/9787 (cluster/ec: Add self-heal-daemon command handlers) posted (#6) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 54 Anand Avati 2015-03-05 14:52:45 UTC
REVIEW: http://review.gluster.org/9793 (mgmt/glusterd: Changes required for disperse volume heal commands) posted (#2) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 55 Anand Avati 2015-03-06 02:32:31 UTC
COMMIT: http://review.gluster.org/9717 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 8fa36bc7a11968086e31ac32b9a24de07dd50d15
Author: Pranith Kumar K <pkarampu@redhat.com>
Date:   Mon Mar 2 08:09:41 2015 +0530

    cluster/ec: Allow heal on name less loc
    
    loc->parent may not always be populated. Even in those cases,
    self-heal should happen if it can be completed using nameless loc.
    
    Change-Id: I8871fc811bec8b881ae7fb09dcd202c6693b9877
    BUG: 1177601
    Signed-off-by: Pranith Kumar K <pkarampu@redhat.com>
    Reviewed-on: http://review.gluster.org/9717
    Reviewed-by: Xavier Hernandez <xhernandez@datalab.es>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>

Comment 56 Anand Avati 2015-03-06 08:17:55 UTC
REVIEW: http://review.gluster.org/9787 (cluster/ec: Add self-heal-daemon command handlers) posted (#7) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 57 Anand Avati 2015-03-06 08:17:59 UTC
REVIEW: http://review.gluster.org/9793 (mgmt/glusterd: Changes required for disperse volume heal commands) posted (#3) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 58 Anand Avati 2015-03-09 22:36:35 UTC
COMMIT: http://review.gluster.org/9787 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit a70231c78aaea436575d427a1386a64d1471b776
Author: Pranith Kumar K <pkarampu@redhat.com>
Date:   Fri Feb 27 16:01:31 2015 +0530

    cluster/ec: Add self-heal-daemon command handlers
    
    This patch introduces the changes required in ec xlator to handle
    index/full heal.
    
    Index healer threads:
    Ec xlator start an index healer thread per local brick. This thread keeps
    waking up every minute to check if there are any files to be healed based on
    the indices kept in index directory. Whenever child_up event comes, then also
    this index healer thread wakes up and crawls the indices and triggers heal.
    When self-heal-daemon is disabled on this particular volume then the healer
    thread keeps waiting until it is enabled again to perform heals.
    
    Full healer threads:
    Ec xlator starts a full healer thread for the local subvolume provided by
    glusterd to perform full crawl on the directory hierarchy to perform heals.
    Once the crawl completes the thread exits if no more full heals are issued.
    
    Changed xl-op prefix GF_AFR_OP to GF_SHD_OP to make it more generic.
    
    Change-Id: Idf9b2735d779a6253717be064173dfde6f8f824b
    BUG: 1177601
    Signed-off-by: Pranith Kumar K <pkarampu@redhat.com>
    Reviewed-on: http://review.gluster.org/9787
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Ravishankar N <ravishankar@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

Comment 59 Anand Avati 2015-03-10 09:22:47 UTC
COMMIT: http://review.gluster.org/9793 committed in master by Kaushal M (kaushal@redhat.com) 
------
commit 8cdd272dcf277aa4148c57458cc5477a49b08383
Author: Pranith Kumar K <pkarampu@redhat.com>
Date:   Fri Feb 27 16:04:29 2015 +0530

    mgmt/glusterd: Changes required for disperse volume heal commands
    
    - Include xattrop64-watchlist for index xlator for disperse volumes.
    - Change the functions that exist to consider disperse volumes also
      for sending commands to disperse xls in self-heal-daemon.
    
    Change-Id: Iae75a5d3dd5642454a2ebf5840feba35780d8adb
    BUG: 1177601
    Signed-off-by: Pranith Kumar K <pkarampu@redhat.com>
    Reviewed-on: http://review.gluster.org/9793
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaushal M <kaushal@redhat.com>

Comment 60 Niels de Vos 2015-05-14 17:28:47 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.0, please open a new bug report.

glusterfs-3.7.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/10939
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Comment 61 Niels de Vos 2015-05-14 17:35:46 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.0, please open a new bug report.

glusterfs-3.7.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/10939
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Comment 62 Niels de Vos 2015-05-14 17:38:09 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.0, please open a new bug report.

glusterfs-3.7.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/10939
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Comment 63 Niels de Vos 2015-05-14 17:45:24 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.0, please open a new bug report.

glusterfs-3.7.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/10939
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user


Note You need to log in before you can comment on or make changes to this bug.